#ifndef I2C_DACEEPROM_H
#define I2C_DACEEPROM_H


#include "../MX4cKsettings.h"


#define GetSystemClock()            (SYSCLOCK)
#define GetPeripheralClock()        (PERCLOCK)
#define GetInstructionClock()       (SYSCLOCK)
#define I2C_CLOCK_FREQ              1000000//400000// 5000

// EEPROM Constants
#define EEPROM_I2C_BUS              I2C2     // same bus for DAC
#define EEPROM_ADDRESS              0x50        //  Serial EEPROM address
#define DAC_ADDRESS              0x60             // ADC address

// forward declarations
BOOL EEPROMI2C_StoreData(UINT8* data, UINT16 startaddr,int ndata) ;
BOOL EEPROMI2C_ReadData(UINT8* data, UINT16 startaddr,int ndata) ;
BOOL DACI2C_SetValue(int data, BOOL startStream);

#endif
